var outputText="";
var vibCode=new Array(); 

function characterIdent(inputTextChar){
	if(inputTextChar!=null){
		switch (inputTextChar){
			case "a":
				outputText=outputText.concat(".-");
				vibCode=vibCode.concat([300,300,900,300]);
				break;
			case "A":
				outputText=outputText.concat(".-");
				vibCode=vibCode.concat([300,300,900,300]);
				break;
			case "á":
				outputText=outputText.concat(".--.-");
				vibCode=vibCode.concat([300,300,900,300,900,300,300,300,900,300]);
				break;
			case "Á":
				outputText=outputText.concat(".--.-");
				vibCode=vibCode.concat([300,300,900,300,900,300,300,300,900,300]);
				break;
			case "b":
				outputText=outputText.concat("-...");
				vibCode=vibCode.concat([900,300,300,300,300,300,300,300]);
				break;
			case "B":
				outputText=outputText.concat("-...");
				vibCode=vibCode.concat([900,300,300,300,300,300,300,300]);
				break;
			case "c":
				outputText=outputText.concat("-.-.");
				vibCode=vibCode.concat([900,300,300,300,900,300,300,300]);
				break;
			case "C":
				outputText=outputText.concat("-.-.");
				vibCode=vibCode.concat([900,300,300,300,900,300,300,300]);
				break;
			case "d":
				outputText=outputText.concat("-..");
				vibCode=vibCode.concat([900,300,300,300,300,300]);
				break;
			case "D":
				outputText=outputText.concat("-..");
				vibCode=vibCode.concat([900,300,300,300,300,300]);
				break;
			case "e":
				outputText=outputText.concat(".");
				vibCode=vibCode.concat([300,300]);
				break;
			case "E":
				outputText=outputText.concat(".");
				vibCode=vibCode.concat([300,300]);
				break;
			case "é":
				outputText=outputText.concat("..-..");
				vibCode=vibCode.concat([300,300,300,300,900,300,300,300,300,300]);
				break;
			case "É":
				outputText=outputText.concat("..-..");
				vibCode=vibCode.concat([300,300,300,300,900,300,300,300,300,300]);
				break;
			case "f":
				outputText=outputText.concat("..-.");
				vibCode=vibCode.concat([300,300,300,300,900,300,300,300]);
				break;
			case "F":
				outputText=outputText.concat("..-.");
				vibCode=vibCode.concat([300,300,300,300,900,300,300,300]);
				break;
			case "g":
				outputText=outputText.concat("--.");
				vibCode=vibCode.concat([900,300,900,300,300,300]);
				break;
			case "G":
				outputText=outputText.concat("--.");
				vibCode=vibCode.concat([900,300,900,300,300,300]);
				break;
			case "h":
				outputText=outputText.concat("....");
				vibCode=vibCode.concat([300,300,300,300,300,300,300,300]);
				break;
			case "H":
				outputText=outputText.concat("....");
				vibCode=vibCode.concat([300,300,300,300,300,300,300,300]);
				break;
			case "i":
				outputText=outputText.concat("..");
				vibCode=vibCode.concat([300,300,300,300]);
				break;
			case "I":
				outputText=outputText.concat("..");
				vibCode=vibCode.concat([300,300,300,300]);
				break;
			case "í":
				outputText=outputText.concat("..");
				vibCode=vibCode.concat([300,300,300,300]);
				break;
			case "Í":
				outputText=outputText.concat("..");
				vibCode=vibCode.concat([300,300,300,300]);
				break;
			case "j":
				outputText=outputText.concat(".---");
				vibCode=vibCode.concat([300,300,900,300,900,300,900,300]);
				break;
			case "J":
				outputText=outputText.concat(".---");
				vibCode=vibCode.concat([300,300,900,300,900,300,900,300]);
				break;
			case "k":
				outputText=outputText.concat("-.-");
				vibCode=vibCode.concat([900,300,300,300,900,300]);
				break;
			case "K":
				outputText=outputText.concat("-.-");
				vibCode=vibCode.concat([900,300,300,300,900,300]);
				break;
			case "l":
				outputText=outputText.concat(".-..");
				vibCode=vibCode.concat([300,300,900,300,300,300,300,300]);
				break;
			case "L":
				outputText=outputText.concat(".-..");
				vibCode=vibCode.concat([300,300,900,300,300,300,300,300]);
				break;
			case "m":
				outputText=outputText.concat("--");
				vibCode=vibCode.concat([900,300,900,300]);
				break;
			case "M":
				outputText=outputText.concat("--");
				vibCode=vibCode.concat([900,300,900,300]);
				break;
			case "n":
				outputText=outputText.concat("-.");
				vibCode=vibCode.concat([900,300,300,300]);
				break;
			case "N":
				outputText=outputText.concat("-.");
				vibCode=vibCode.concat([900,300,300,300]);
				break;
			case "o":
				outputText=outputText.concat("---");
				vibCode=vibCode.concat([900,300,900,300,900,300]);
				break;
			case "O":
				outputText=outputText.concat("---");
				vibCode=vibCode.concat([900,300,900,300,900,300]);
				break;
			case "ó":
				outputText=outputText.concat("---");
				vibCode=vibCode.concat([900,300,900,300,900,300]);
				break;
			case "Ó":
				outputText=outputText.concat("---");
				vibCode=vibCode.concat([900,300,900,300,900,300]);
				break;
			case "ö":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300]);
				break;
			case "Ö":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300]);
				break;
			case "ő":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300]);
				break;
			case "Ő":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300]);
				break;
			case "p":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([300,300,900,300,900,300,300,300]);
				break;
			case "P":
				outputText=outputText.concat("---.");
				vibCode=vibCode.concat([300,300,900,300,900,300,300,300]);
				break;
			case "q":
				outputText=outputText.concat("--.-");
				vibCode=vibCode.concat([900,300,900,300,300,300,900,300]);
				break;
			case "Q":
				outputText=outputText.concat("--.-");
				vibCode=vibCode.concat([900,300,900,300,300,300,900,300]);
				break;
			case "r":
				outputText=outputText.concat(".-.");
				vibCode=vibCode.concat([300,300,900,300,300,300]);
				break;
			case "R":
				outputText=outputText.concat(".-.");
				vibCode=vibCode.concat([300,300,900,300,300,300]);
				break;
			case "s":
				outputText=outputText.concat("...");
				vibCode=vibCode.concat([300,300,300,300,300,300]);
				break;
			case "S":
				outputText=outputText.concat("...");
				vibCode=vibCode.concat([300,300,300,300,300,300]);
				break;	
			case "t":
				outputText=outputText.concat("-");
				vibCode=vibCode.concat([900,300]);
				break;
			case "T":
				outputText=outputText.concat("-");
				vibCode=vibCode.concat([900,300]);
				break;
			case "u":
				outputText=outputText.concat("..-");
				vibCode=vibCode.concat([300,300,300,300,900,300]);
				break;
			case "U":
				outputText=outputText.concat("..-");
				vibCode=vibCode.concat([300,300,300,300,900,300]);
				break;
			case "ú":
				outputText=outputText.concat("..-");
				vibCode=vibCode.concat([300,300,300,300,900,300]);
				break;
			case "Ú":
				outputText=outputText.concat("..-");
				vibCode=vibCode.concat([300,300,300,300,900,300]);
				break;
			case "ü":
				outputText=outputText.concat("..--");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300]);
				break;
			case "Ü":
				outputText=outputText.concat("..--");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300]);
				break;
			case "ű":
				outputText=outputText.concat("..--");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300]);
				break;
			case "Ű":
				outputText=outputText.concat("..--");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300]);
				break;	
			case "v":
				outputText=outputText.concat("...-");
				vibCode=vibCode.concat([300,300,300,300,300,300,900,300]);
				break;
			case "V":
				outputText=outputText.concat("...-");
				vibCode=vibCode.concat([300,300,300,300,300,300,900,300]);
				break;	
			case "w":
				outputText=outputText.concat(".--");
				vibCode=vibCode.concat([300,300,900,300,900,300]);
				break;
			case "W":
				outputText=outputText.concat(".--");
				vibCode=vibCode.concat([300,300,900,300,900,300]);
				break;
			case "x":
				outputText=outputText.concat("-..-");
				vibCode=vibCode.concat([900,300,300,300,300,300,900,300]);
				break;
			case "X":
				outputText=outputText.concat("-..-");
				vibCode=vibCode.concat([900,300,300,300,300,300,900,300]);
				break;
			case "y":
				outputText=outputText.concat("-.--");
				vibCode=vibCode.concat([900,300,300,300,900,300,900,300]);
				break;
			case "Y":
				outputText=outputText.concat("-.--");
				vibCode=vibCode.concat([900,300,300,300,900,300,900,300]);
				break;
			case "Z":
				outputText=outputText.concat("--..");
				vibCode=vibCode.concat([900,300,900,300,300,300,300,300]);
				break;
			case "z":
				outputText=outputText.concat("--..");
				vibCode=vibCode.concat([900,300,900,300,300,300,300,300]);
				break;
			case " ":
				outputText=outputText.concat("   ");
				vibCode=vibCode.concat([1200]);
				break;
			case "0":
				outputText=outputText.concat("-----");
				vibCode=vibCode.concat([900,300,900,300,900,300,900,300,900,300]);
				break;
			case "1":
				outputText=outputText.concat(".----");
				vibCode=vibCode.concat([300,300,900,300,900,300,900,300,900,300]);
				break;
			case "2":
				outputText=outputText.concat("..---");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300,900,300]);
				break;
			case "3":
				outputText=outputText.concat("...--");
				vibCode=vibCode.concat([300,300,300,300,300,300,900,300,900,300]);
				break;
			case "4":
				outputText=outputText.concat("....-");
				vibCode=vibCode.concat([300,300,300,300,300,300,300,300,900,300]);
				break;
			case "5":
				outputText=outputText.concat(".....");
				vibCode=vibCode.concat([300,300,300,300,300,300,300,300,300,300]);
				break;
			case "6":
				outputText=outputText.concat("-....");
				vibCode=vibCode.concat([900,300,300,300,300,300,300,300,300,300]);
				break;
			case "7":
				outputText=outputText.concat("--...");
				vibCode=vibCode.concat([900,300,900,300,300,300,300,300,300,300]);
				break;
			case "8":
				outputText=outputText.concat("---..");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300,300,300]);
				break;	
			case "8":
				outputText=outputText.concat("----.");
				vibCode=vibCode.concat([900,300,900,300,900,300,900,300,300,300]);
				break;	
			case ".":
				outputText=outputText.concat(".-.-.-");
				vibCode=vibCode.concat([300,300,900,300,300,300,900,300,300,300,900,300]);
				break;
			case "?":
				outputText=outputText.concat("..--..");
				vibCode=vibCode.concat([300,300,300,300,900,300,900,300,300,300,300,300]);
				break;
			case "!":
				outputText=outputText.concat("-.-.--");
				vibCode=vibCode.concat([900,300,300,300,900,300,300,300,900,300,900,300]);
				break;
			case ",":
				outputText=outputText.concat("--..--");
				vibCode=vibCode.concat([900,300,900,300,300,300,300,300,900,300,900,300]);
				break;
			case "-":
				outputText=outputText.concat("-....-");
				vibCode=vibCode.concat([900,300,300,300,300,300,300,300,300,300,900,300]);
				break;
			case ";":
				outputText=outputText.concat("-.-.-.");
				vibCode=vibCode.concat([900,300,300,300,900,300,300,300,900,300,300,300]);
				break;
			case ":":
				outputText=outputText.concat("---...");
				vibCode=vibCode.concat([900,300,900,300,900,300,300,300,300,300,300,300]);
				break;
			case "=":
				outputText=outputText.concat("-...-");
				vibCode=vibCode.concat([900,300,300,300,300,300,300,300,900,300]);
				break;
			case "/":
				outputText=outputText.concat("-..-.");
				vibCode=vibCode.concat([900,300,300,300,300,300,900,300,300,300]);
				break;
			case "(":
				outputText=outputText.concat("-.--.-");
				vibCode=vibCode.concat([900,300,300,300,900,300,900,300,300,300,900,300]);
				break;
			case ")":
				outputText=outputText.concat("-.--.-");
				vibCode=vibCode.concat([900,300,300,300,900,300,900,300,300,300,900,300]);
				break;
		}
		vibCode=vibCode.concat([0,600]);
		outputText=outputText.concat(" ");
	}
}


function textCycle(inputText){
	for(var i=0; i<30; i++){
		characterIdent(inputText.charAt(i), outputText, vibCode);
		//if(inputText.charAt(i)=0)break;
	}
}



function translate(){

	if(document.getElementById('morseTextIn').value != ""){
		var inputText=document.getElementById('morseTextIn').value;
		document.getElementById('morseTextOut').value="";
		textCycle(inputText);
		document.getElementById('morseTextOut').value = outputText;
		window.navigator.vibrate(vibCode);
	 }else{
		window.alert("Nem adtál meg szöveget!");
	 }
}

function clearT(){
	document.getElementById('morseTextIn').value="";
	document.getElementById('morseTextOut').value="";
}